
From: Pavel Machek <pavel@ucw.cz>

CONFIG_PM_DISK is long gone, but it still managed to survived at few
places.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/defconfig |    1 -
 arch/i386/mm/init.c |    2 +-
 mm/page_io.c        |    2 +-
 3 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/i386/defconfig~swsusp-kill-config_pm_disk arch/i386/defconfig
--- 25/arch/i386/defconfig~swsusp-kill-config_pm_disk	2005-04-27 00:11:11.047573504 -0700
+++ 25-akpm/arch/i386/defconfig	2005-04-27 00:11:11.053572592 -0700
@@ -125,7 +125,6 @@ CONFIG_HAVE_DEC_LOCK=y
 #
 CONFIG_PM=y
 CONFIG_SOFTWARE_SUSPEND=y
-# CONFIG_PM_DISK is not set
 
 #
 # ACPI (Advanced Configuration and Power Interface) Support
diff -puN arch/i386/mm/init.c~swsusp-kill-config_pm_disk arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~swsusp-kill-config_pm_disk	2005-04-27 00:11:11.048573352 -0700
+++ 25-akpm/arch/i386/mm/init.c	2005-04-27 00:11:11.053572592 -0700
@@ -352,7 +352,7 @@ static void __init pagetable_init (void)
 #endif
 }
 
-#if defined(CONFIG_PM_DISK) || defined(CONFIG_SOFTWARE_SUSPEND)
+#ifdef CONFIG_SOFTWARE_SUSPEND
 /*
  * Swap suspend & friends need this for resume because things like the intel-agp
  * driver might have split up a kernel 4MB mapping.
diff -puN mm/page_io.c~swsusp-kill-config_pm_disk mm/page_io.c
--- 25/mm/page_io.c~swsusp-kill-config_pm_disk	2005-04-27 00:11:11.049573200 -0700
+++ 25-akpm/mm/page_io.c	2005-04-27 00:11:11.054572440 -0700
@@ -127,7 +127,7 @@ out:
 	return ret;
 }
 
-#if defined(CONFIG_SOFTWARE_SUSPEND) || defined(CONFIG_PM_DISK)
+#ifdef CONFIG_SOFTWARE_SUSPEND
 /*
  * A scruffy utility function to read or write an arbitrary swap page
  * and wait on the I/O.  The caller must have a ref on the page.
_
